package com.ruoyi.project.training.spec.domain.vo;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 年度培养计划导出内容
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2022/05/26 13:09:12
 */
public class TStYearPlanExportVO extends BaseEntity
{
    @Excel(name = "学员编号")
    private String staffId;

    @Excel(name = "学员")
    private String staffName;

    @Excel(name = "年度培训标题")
    private String name;

    @Excel(name = "年份")
    private Long planYear;

    @Excel(name = "部门")
    private String deptName;

    @Excel(name = "审核状态", dictType = "spec_training_approve_status")
    private Long approveStatus;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(Long approveStatus) {
        this.approveStatus = approveStatus;
    }

    public Long getPlanYear() {
        return planYear;
    }

    public void setPlanYear(Long planYear) {
        this.planYear = planYear;
    }
}
